## dateutils 0.1.5

=== DESCRIPTION ===
Package: dateutils
Type: Package
Title: Date Utils
Version: 0.1.5
Authors@R: c(person("Seth", "Leonard", role = c("aut", "cre"),
                     email = "seth@ottoquant.com"),
              person("Jiancong", "Liu", role = "ctb",
                     email = "jiancong.liu@phd.unibocconi.it"))
Author: Seth Leonard [aut, cre],
  Jiancong Liu [ctb]
Maintainer: Seth Leonard <seth@ottoquant.com>
Description: Utilities for mixed frequency data. In particular, use to aggregate and normalize tabular mixed frequency data, index dates to end of period, and seasonally adjust tabular data.
Depends: R (>= 3.5.0)
License: MIT + file LICENSE
Suggests: rmarkdown, knitr, testthat
Imports: Rcpp (>= 0.12.13), data.table (>= 1.9.8), seasonal
LinkingTo: Rcpp, RcppArmadillo
RoxygenNote: 7.1.1
LazyData: true
Encoding: UTF-8
VignetteBuilder: knitr, rmarkdown
URL: https://github.com/macroeconomicdata/dateutils
BugReports: https://github.com/macroeconomicdata/dateutils/issues
NeedsCompilation: yes
Packaged: 2021-11-10 01:18:06 UTC; seton
Repository: CRAN
Date/Publication: 2021-11-10 15:50:10 UTC

## dateutils 0.2.5

=== debian/changelog ===
dateutils (0.2.5-1) unstable; urgency=low

  * Initial release (Closes: #705897)

 -- Matthew Fischer <matthew.fischer@ubuntu.com>  Sun, 11 Aug 2013 03:23:43 +0100

=== debian/control ===
Source: dateutils
Section: utils
Priority: extra
Maintainer: Matthew Fischer <matthew.fischer@ubuntu.com>
Build-Depends: gengetopt,
 autotools-dev,
 gperf,
 bison,
 flex,
 debhelper (>= 9.0.0),
 dh-buildinfo,
 dh-autoreconf,
 dpkg-dev (>= 1.16.1~),
 help2man,
 libltdl-dev
Standards-Version: 3.9.4
Homepage: http://www.fresse.org/dateutils
Vcs-Git: git://github.com/hroptatyr/dateutils.git
Vcs-Browser: https://github.com/hroptatyr/dateutils/

Package: dateutils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: nifty command line date and time utilities
 Dateutils are a bunch of tools that revolve around fiddling
 with dates and times in the command line with a strong focus
 on use cases that arise when dealing with large amounts of
 financial data.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

%:
	dh $@  --with autoreconf

override_dh_auto_configure:
	dh_auto_configure -- --program-prefix='dateutils.'

override_dh_auto_clean:
	[ -f Makefile ] && dh_auto_clean || true
	rm -f info/dadd.manu info/dconv.man info/ddiff.mand info/dgrep.man \
	info/dround.manu info/dseq.manu info/dtest.man info/strptime.man

override_dh_auto_install:
	dh_auto_install
	# don't install lib and include
	rm -r debian/dateutils/usr/lib
	rm -r debian/dateutils/usr/include

## dateutils 0.2.7

=== debian/changelog ===
dateutils (0.2.7-1) unstable; urgency=medium

  * New upstream release.
  * Correct maintainer name spelling and email.
  * Update standards version to 3.9.5 (no changes required).
  * Bump debhelper version to 9 in debian/compat.

 -- Matt Fischer <mfisch@ubuntu.com>  Sun, 23 Mar 2014 20:35:22 -0600

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: dateutils
 Section: utils
 Priority: extra
-Maintainer: Matthew Fischer <matthew.fischer@ubuntu.com>
+Maintainer: Matt Fischer <mfisch@ubuntu.com>
 Build-Depends: gengetopt,
  autotools-dev,
  gperf,
@@ -13,7 +13,7 @@
  dpkg-dev (>= 1.16.1~),
  help2man,
  libltdl-dev
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: http://www.fresse.org/dateutils
 Vcs-Git: git://github.com/hroptatyr/dateutils.git
 Vcs-Browser: https://github.com/hroptatyr/dateutils/

## dateutils 0.3.1

=== debian/changelog ===
dateutils (0.3.1-1.1) unstable; urgency=medium

  [ Bastien Roucariès ]
  * Non-maintainer upload
  * Bug fix: "please do not use -march=native", thanks to James Cowgill
    (Closes: #768995).
  * Bug fix: "Tests fails with LC_* = fr_FR.UTF-8", thanks to Michael
    Bonfils (Closes: #769669).

 -- Bastien Roucariès <roucaries.bastien+debian@gmail.com>  Sat, 15 Nov 2014 14:55:09 +0100

dateutils (0.3.1-1) unstable; urgency=medium

  * New upstream release
    - Closes: #748653

 -- Matt Fischer <mfisch@ubuntu.com>  Tue, 14 Oct 2014 21:26:42 -0600

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,7 @@
 Section: utils
 Priority: extra
 Maintainer: Matt Fischer <mfisch@ubuntu.com>
-Build-Depends: gengetopt,
- autotools-dev,
+Build-Depends: autotools-dev,
  gperf,
  bison,
  flex,
@@ -11,8 +10,9 @@
  dh-buildinfo,
  dh-autoreconf,
  dpkg-dev (>= 1.16.1~),
- help2man,
- libltdl-dev
+ libltdl-dev,
+ pkg-config,
+ texinfo
 Standards-Version: 3.9.5
 Homepage: http://www.fresse.org/dateutils
 Vcs-Git: git://github.com/hroptatyr/dateutils.git

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

%:
	dh $@  --with autoreconf

override_dh_auto_configure:
	dh_auto_configure -- --program-prefix='dateutils.'

override_dh_auto_test:
	LC_ALL=C dh_auto_test

override_dh_auto_clean:
	[ -f Makefile ] && dh_auto_clean || true
	rm -f info/dadd.manu info/dconv.man info/ddiff.mand info/dgrep.man \
	info/dround.manu info/dseq.manu info/dtest.man info/strptime.man \
	info/dzone.man info/dsort.man info/dadd.h2m info/dadd.texi \
	info/dconv.h2m info/dconv.texi info/ddiff.h2m info/ddiff.texi \
	info/dgrep.h2m info/dgrep.texi info/dround.h2m info/dround.texi \
	info/dseq.h2m info/dseq.texi info/dsort.h2m info/dsort.texi \
	info/dtest.h2m info/dtest.texi info/dzone.h2m info/dzone.texi \
	info/format-ddiff.th2m info/format.th2m info/strptime.h2m \
	info/strptime.texi info/units.th2m \
	src/*.yucc test/*.yucc lib/*.yucc \
	lib/fmt-special.c \
	lib/version.c \
	lib/leapseconds.def \
	.version \
	info/dateutils.info \
	src/dexpr-parser.[ch] src/dexpr-scanner.c src/strpdt-special.c \

=== debian/watch ===
version=3
https://github.com/hroptatyr/dateutils/tags .*/v?(\d[\d\.]+)\.tar\.gz

## dateutils 0.4.1

=== debian/changelog ===
dateutils (0.4.1-1) unstable; urgency=medium

  * QA upload.
  * Imported Upstream version 0.4.1
    - Refresh patch
  * Update d/watch with filenamemangle
  * Simplify override_dh_auto_clean
  * Drop dh-autoreconf, dh v10 uses it automatically
  * Use correct Vcs-* URLs for collab-maint

 -- Dr. Tobias Quathamer <toddy@debian.org>  Fri, 30 Dec 2016 19:22:49 +0100

dateutils (0.4.0-2) unstable; urgency=medium

  * QA upload.
  * Add --no-parallel to fix FTBFS on multiple archs.
    Thanks to Adrian Bunk <bunk@stusta.de> (Closes: #848077)

 -- Dr. Tobias Quathamer <toddy@debian.org>  Wed, 14 Dec 2016 09:36:46 +0100

dateutils (0.4.0-1) unstable; urgency=medium

  * QA upload.
  * Set maintainer to Debian QA Group

 -- Dr. Tobias Quathamer <toddy@debian.org>  Sat, 10 Dec 2016 21:40:36 +0100

dateutils (0.4.0-0.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Add --with-old-names and --without-old-links to prevent
    collision with debian-goodies. (Closes: #846074)
  * Update d/copyright from LICENSE file
  * Remove accidentally installed LICENSE file

 -- Dr. Tobias Quathamer <toddy@debian.org>  Mon, 28 Nov 2016 20:38:53 +0100

dateutils (0.4.0-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Imported Upstream version 0.4.0 (Closes: #833669)
  * Refresh patch
  * Make the build reproducible.
    Thanks to Chris Lamb <lamby@debian.org> (Closes: #835129)
  * Use debhelper with quilt addon for patches
  * Use debhelper v10
  * Use Vcs-* URLS
  * Update to Standards-Version 3.9.8, no changes needed
  * Add tzdata to Depends and Build-Depends (Closes: #839515)

 -- Dr. Tobias Quathamer <toddy@debian.org>  Sun, 27 Nov 2016 16:42:24 +0100

=== debian/control ===
Source: dateutils
Section: utils
Priority: extra
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: autotools-dev,
 gperf,
 bison,
 flex,
 debhelper (>= 10),
 dh-buildinfo,
 quilt,
 dpkg-dev (>= 1.16.1~),
 libltdl-dev,
 pkg-config,
 tzdata,
 texinfo
Standards-Version: 3.9.8
Homepage: http://www.fresse.org/dateutils
Vcs-Git: https://anonscm.debian.org/git/collab-maint/dateutils.git
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/dateutils.git

Package: dateutils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, tzdata
Description: nifty command line date and time utilities
 Dateutils are a bunch of tools that revolve around fiddling
 with dates and times in the command line with a strong focus
 on use cases that arise when dealing with large amounts of
 financial data.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

%:
	dh $@  --with quilt --no-parallel

# Add --with-old-names and --without-old-links, so that
# the dateutils get installed with the "date" prefix
# instead of the new short "d" prefix.
# The tool "dgrep" is already provided by debian-goodies.
# See bug #846074
override_dh_auto_configure:
	dh_auto_configure -- --program-prefix='dateutils.' --with-old-names --without-old-links

override_dh_auto_install:
	dh_auto_install
	rm $(CURDIR)/debian/dateutils/usr/share/doc/dateutils/LICENSE

override_dh_auto_test:
	LC_ALL=C dh_auto_test

override_dh_auto_clean:
	[ -f Makefile ] && dh_auto_clean || true

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/dateutils-$1\.tar\.gz/ \
  https://github.com/hroptatyr/dateutils/tags .*/v?(\d\S+)\.tar\.gz

## dateutils 0.4.2

=== debian/changelog ===
dateutils (0.4.2-1) unstable; urgency=medium

  * New upstream release (Closes: #889050, #788111)
  * debian/control: use dh11
  * debian/control: bump standard to 4.1.3 (no changes)
  * debian/rules: remove "--with quilt" from debian/rules

 -- Thorsten Alteholz <debian@alteholz.de>  Fri, 02 Feb 2018 19:03:34 +0100

dateutils (0.4.1-2) unstable; urgency=medium

  * new maintainer
  * debian/control: bump standard to 4.1.1
  * debian/control: drop dependency for autotools-dev

 -- Thorsten Alteholz <debian@alteholz.de>  Tue, 07 Nov 2017 19:13:37 +0100

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,11 @@
 Source: dateutils
 Section: utils
-Priority: extra
-Maintainer: Debian QA Group <packages@qa.debian.org>
-Build-Depends: autotools-dev,
- gperf,
+Priority: optional
+Maintainer: Thorsten Alteholz <debian@alteholz.de>
+Build-Depends: gperf,
  bison,
  flex,
- debhelper (>= 10),
+ debhelper (>= 11),
  dh-buildinfo,
  quilt,
  dpkg-dev (>= 1.16.1~),
@@ -14,7 +13,7 @@
  pkg-config,
  tzdata,
  texinfo
-Standards-Version: 3.9.8
+Standards-Version: 4.1.3
 Homepage: http://www.fresse.org/dateutils
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/dateutils.git
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/dateutils.git

## dateutils 0.4.3

=== debian/changelog ===
dateutils (0.4.3-1) unstable; urgency=medium

  * New upstream release
  * debian/control: add salsa URLs
  * debian/control: bump standard to 4.1.4 (no changes)

 -- Thorsten Alteholz <debian@alteholz.de>  Wed, 11 Apr 2018 18:11:13 +0200

=== debian/control ===
--- 
+++ 
@@ -13,10 +13,11 @@
  pkg-config,
  tzdata,
  texinfo
-Standards-Version: 4.1.3
+Standards-Version: 4.1.4
 Homepage: http://www.fresse.org/dateutils
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/dateutils.git
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/dateutils.git
+Vcs-Browser: https://salsa.debian.org/alteholz/dateutils
+Vcs-Git: https://salsa.debian.org/alteholz/dateutils
+
 
 Package: dateutils
 Architecture: any

## dateutils 0.4.5

=== debian/changelog ===
dateutils (0.4.5-2) unstable; urgency=medium

  * debian/control: use dh13
  * debian/control: bump standard to 4.6.0 (no changes)
  * debian/control: add Rules-Requires-Root:
  * debian/control: add build dependency for autoconf-archive
  * don't include sysctl.h anymore (Closes: #997230, #967979)
    (it is only needed on *BSD* anyway)

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 06 Nov 2021 22:59:01 +0200

dateutils (0.4.5-1.1) unstable; urgency=medium

  [ Gianfranco Costamagna ]
  * Non-maintainer upload

  [ Bernhard Übelacker ]
  * debian/patches/0001-Use-unsigned-type-for-leap-second-
    conversion.patch: Fix 32bit builds (Closes: #907348)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 10 Jul 2019 09:12:59 +0200

dateutils (0.4.5-1) unstable; urgency=medium

  * New upstream release (Closes: #907348, #909031)
  * debian/control: bump standard to 4.2.1 (no changes)

 -- Thorsten Alteholz <debian@alteholz.de>  Wed, 17 Oct 2018 19:59:01 +0200

dateutils (0.4.4-1) unstable; urgency=medium

  * New upstream release
  * debian/control: bump standard to 4.2.0 (no changes)

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 26 Aug 2018 16:53:28 +0200

=== debian/control ===
--- 
+++ 
@@ -5,19 +5,20 @@
 Build-Depends: gperf,
  bison,
  flex,
- debhelper (>= 11),
+ debhelper-compat (= 13),
  dh-buildinfo,
  quilt,
  dpkg-dev (>= 1.16.1~),
  libltdl-dev,
  pkg-config,
  tzdata,
- texinfo
-Standards-Version: 4.1.4
+ texinfo,
+ autoconf-archive
+Standards-Version: 4.6.0
 Homepage: http://www.fresse.org/dateutils
 Vcs-Browser: https://salsa.debian.org/alteholz/dateutils
-Vcs-Git: https://salsa.debian.org/alteholz/dateutils
-
+Vcs-Git: https://salsa.debian.org/alteholz/dateutils.git
+Rules-Requires-Root: no
 
 Package: dateutils
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,7 @@
 export DH_OPTIONS
 
 %:
-	dh $@  --with quilt --no-parallel
+	dh $@ --no-parallel
 
 # Add --with-old-names and --without-old-links, so that
 # the dateutils get installed with the "date" prefix

## dateutils 0.4.10

=== debian/changelog ===
dateutils (0.4.10-1) unstable; urgency=medium

  * New upstream release
  * fix for failing test dzone.008.ctst (Closes: #1028864)
  * debian/control: bump standard to 4.6.2 (no changes)

 -- Thorsten Alteholz <debian@alteholz.de>  Thu, 02 Feb 2023 18:36:25 +0100

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
  tzdata,
  texinfo,
  autoconf-archive
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Homepage: http://www.fresse.org/dateutils
 Vcs-Browser: https://salsa.debian.org/alteholz/dateutils
 Vcs-Git: https://salsa.debian.org/alteholz/dateutils.git

## dateutils 0.4.11

=== debian/changelog ===
dateutils (0.4.11-2) unstable; urgency=medium

  * debian/control: remove dependency of dh-buildinfo and quilt
                    (Closes: #1120159)
  * debian/control: bump standard to 4.7.2 (no changes)

 -- Thorsten Alteholz <debian@alteholz.de>  Thu, 06 Nov 2025 13:54:11 +0100

dateutils (0.4.11-1) unstable; urgency=medium

  * New upstream release.
  * debian/control: bump standard to 4.7.0 (no changes)

 -- Thorsten Alteholz <debian@alteholz.de>  Mon, 06 May 2024 17:54:11 +0200

dateutils (0.4.10-3) unstable; urgency=medium

  * debian/links: fix broken links (Closes: #1053745)
                  Thanks to Paul Wise and Vincent Lefevre

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 05 Nov 2023 18:36:25 +0100

dateutils (0.4.10-2) unstable; urgency=medium

  * Fix FTBFS (timzone name changed) (Closes: #1052846)
  * use new upstream names of binaries, add link to old name
    (Closes: #900070)

 -- Thorsten Alteholz <debian@alteholz.de>  Tue, 03 Oct 2023 18:36:25 +0200

=== debian/control ===
--- 
+++ 
@@ -6,15 +6,13 @@
  bison,
  flex,
  debhelper-compat (= 13),
- dh-buildinfo,
- quilt,
  dpkg-dev (>= 1.16.1~),
  libltdl-dev,
  pkg-config,
  tzdata,
  texinfo,
  autoconf-archive
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Homepage: http://www.fresse.org/dateutils
 Vcs-Browser: https://salsa.debian.org/alteholz/dateutils
 Vcs-Git: https://salsa.debian.org/alteholz/dateutils.git

=== debian/rules ===
--- 
+++ 
@@ -17,12 +17,34 @@
 # instead of the new short "d" prefix.
 # The tool "dgrep" is already provided by debian-goodies.
 # See bug #846074
-override_dh_auto_configure:
-	dh_auto_configure -- --program-prefix='dateutils.' --with-old-names --without-old-links
+# no need for this anylonger, upstream renamed the binaries
+# override_dh_auto_configure:
+#  	dh_auto_configure -- --program-prefix='dateutils.' --with-old-names --without-old-links
 
 override_dh_auto_install:
 	dh_auto_install
+	find
+	# remove some old stuff
 	rm $(CURDIR)/debian/dateutils/usr/share/doc/dateutils/LICENSE
+	rm $(CURDIR)/debian/dateutils/usr/bin/dadd
+	rm $(CURDIR)/debian/dateutils/usr/bin/dconv
+	rm $(CURDIR)/debian/dateutils/usr/bin/ddiff
+	rm $(CURDIR)/debian/dateutils/usr/bin/dgrep
+	rm $(CURDIR)/debian/dateutils/usr/bin/dround
+	rm $(CURDIR)/debian/dateutils/usr/bin/dseq
+	rm $(CURDIR)/debian/dateutils/usr/bin/dsort
+	rm $(CURDIR)/debian/dateutils/usr/bin/dtest
+	rm $(CURDIR)/debian/dateutils/usr/bin/dzone
+
+	rm $(CURDIR)/debian/dateutils/usr/share/man/man1/dadd.1
+	rm $(CURDIR)/debian/dateutils/usr/share/man/man1/dconv.1
+	rm $(CURDIR)/debian/dateutils/usr/share/man/man1/ddiff.1
+	rm $(CURDIR)/debian/dateutils/usr/share/man/man1/dgrep.1
+	rm $(CURDIR)/debian/dateutils/usr/share/man/man1/dround.1
+	rm $(CURDIR)/debian/dateutils/usr/share/man/man1/dseq.1
+	rm $(CURDIR)/debian/dateutils/usr/share/man/man1/dsort.1
+	rm $(CURDIR)/debian/dateutils/usr/share/man/man1/dtest.1
+	rm $(CURDIR)/debian/dateutils/usr/share/man/man1/dzone.1
 
 override_dh_auto_test:
 	LC_ALL=C dh_auto_test

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/dateutils-$1\.tar\.gz/ \
  https://github.com/hroptatyr/dateutils/tags .*/v?(\d\S+)\.tar\.gz debian uupdate
